#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	C++ interface for working with XML files
Summary(pl.UTF-8):	Interfejs C++ do pracy z plikami XML
Name:		libxml++2
Version:	2.42.2
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	https://download.gnome.org/sources/libxml++/2.42/libxml++-%{version}.tar.xz
# Source0-md5:	ac9ca4f5e4d5063a9b222e0d8a8f72dd
URL:		http://libxmlplusplus.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd50-xml
BuildRequires:	docbook-style-xsl-ns
BuildRequires:	doxygen >= 1:1.8.9
BuildRequires:	glibmm-devel >= 2.32.0
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.7.7
BuildRequires:	libxslt-progs
BuildRequires:	mm-common >= 0.9.10
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glibmm >= 2.32.0
Requires:	libxml2 >= 1:2.7.7
Obsoletes:	libxml++ < 3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libxml++ is a C++ interface for the libxml XML parser library.

%description -l pl.UTF-8
libxml++ jest interfejsem C++ do biblioteki libxml.

%package devel
Summary:	Header files for libxml++
Summary(pl.UTF-8):	Pliki nagłówkowe do libxml++
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glibmm-devel >= 2.32.0
Requires:	libstdc++-devel >= 6:4.6
Requires:	libxml2-devel >= 1:2.7.7
Obsoletes:	libxml++-devel < 3.0

%description devel
Header files for libxml++.

%description devel -l pl.UTF-8
Pliki nagłówkowe do libxml++.

%package static
Summary:	Static libxml++ libraries
Summary(pl.UTF-8):	Biblioteka statyczna libxml++
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libxml++-static-devel < 3.0

%description static
Static libxml++ libraries.

%description static -l pl.UTF-8
Biblioteka statyczna libxml++.

%package apidocs
Summary:	libxml++ API documentation
Summary(pl.UTF-8):	Dokumentacja API libxml++
Group:		Documentation
Obsoletes:	libxml++-apidocs < 3.0
BuildArch:	noarch

%description apidocs
libxml++ API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libxml++.

%package examples
Summary:	libxml++ - example programs
Summary(pl.UTF-8):	libxml++ - przykładowe programy
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libxml++-examples < 3.0

%description examples
libxml++ - example programs.

%description examples -l pl.UTF-8
libxml++ - przykładowe programy.

%prep
%setup -q -n libxml++-%{version}

%build
mm-common-prepare --copy --force
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libxml++-2.6.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libxml++-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxml++-2.6.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxml++-2.6.so
%{_libdir}/libxml++-2.6
%{_includedir}/libxml++-2.6
%{_pkgconfigdir}/libxml++-2.6.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxml++-2.6.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_datadir}/devhelp/books/libxml++-2.6
%{_docdir}/libxml++-2.6

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Sep 10 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libxml++2.git;a=log;h=master

* Sat Sep 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 748c95c
- updated to 2.42.2

* Sun May 30 2021 Jakub Bogusz <qboosh@pld-linux.org> 71d50ff
- updated to 2.42.1

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 8698c69
- unconditional noarch subpackages

* Fri Oct 02 2020 Jakub Bogusz <qboosh@pld-linux.org> bbc5e38
- updated to 2.42.0

* Sun Feb 14 2016 Jakub Bogusz <qboosh@pld-linux.org> 5be2680
- libxml++ 2.x (ABI 2.6) as libxml++2
- removed outdated --enable-api-exceptions configure option

* Fri Oct 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 8287c79
- updated to 2.40.1

* Wed Sep 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 6d50d94
- updated to 2.40.0; C++11 now

* Mon Sep 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4fe6455
- release 2 (by relup.sh)

* Thu Jun 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 7e17c1b
- updated to 2.38.1

* Sat Apr 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 3aa0982
- updated to 2.38.0

* Sun Mar 29 2015 Elan Ruusamäe <glen@delfi.ee> aa5e0b4
- noarch apidocs

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> ae32a4f
- x32 rebuild
- release 3 (by relup.sh)

* Sun Jan 26 2014 Jan Rękorajski <baggins@pld-linux.org> e40ba4c
- removed regenerating autostuff, not needed and breaks examples/Makefile
- rel 2

* Tue Nov 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 077319f
- updated to 2.36.0

* Wed Mar 23 2011 Artur Frysiak <artur@frysiak.net> 7c92b81
- up to 2.32.0
- drop libtool file

* Fri May 14 2010 sparky <sparky@pld-linux.org> 62f4767
- BR: mm-common

* Fri May 14 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 259c871
- updated to 2.30.1

* Fri Apr 02 2010 Szymon Siwek <sls@pld-linux.org> e29f561
- unneeded, examples building is ./configured in 2.30.0

* Fri Apr 02 2010 Szymon Siwek <sls@pld-linux.org> dd9a852
- ver. 2.30.0
- removed examples.patch

* Mon Mar 16 2009 Marcin Banasiak <marcin.banasiak@gmail.com> a301e7e
- updated to 2.26.0

